org.apache.sysds.runtime.privacy

## Enum PrivacyConstraint.PrivacyLevel

- java.lang.Object
- - java.lang.Enum<PrivacyConstraint.PrivacyLevel>
  - - org.apache.sysds.runtime.privacy.PrivacyConstraint.PrivacyLevel

All Implemented Interfaces:
  Serializable, Comparable<PrivacyConstraint.PrivacyLevel>

Enclosing class:
  PrivacyConstraint

    public static enum PrivacyConstraint.PrivacyLevel
    extends Enum<PrivacyConstraint.PrivacyLevel>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`None`
`Private`
`PrivateAggregation`

### Method Summary

All Methods Static Methods Concrete Methods
`static PrivacyConstraint.PrivacyLevel` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PrivacyConstraint.PrivacyLevel[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### None

    public static final PrivacyConstraint.PrivacyLevel None

#### Private

    public static final PrivacyConstraint.PrivacyLevel Private

#### PrivateAggregation

    public static final PrivacyConstraint.PrivacyLevel PrivateAggregation

### Method Detail

#### values

    public static PrivacyConstraint.PrivacyLevel[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PrivacyConstraint.PrivacyLevel c : PrivacyConstraint.PrivacyLevel.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PrivacyConstraint.PrivacyLevel valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null